| AnyConnect Secure Mobility Client 5.1.8.105

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# MainDialog Class Reference

`#include <MainDialog.h>`

List of all members.

## Public Types
enum | { IDD = IDD_EXAMPLE4_DIALOG }
## Public Member Functions
| MainDialog (Gui *pParent=NULL)
void | HandlePromptCB (ConnectPromptInfo &connectPrompt)
void | HandleEventAvailable ()
void | showStatusbarText (const tstring &text)
## Public Attributes
CStatusBarCtrl * | m_statusBar
PromptDialog * | m_promptDialog
GUIClientImpl * | m_pApiImpl
ConnectPromptInfo * | m_pPromptInfo
std::list< tstring > | m_promptNames
## Protected Member Functions
virtual void | DoDataExchange (CDataExchange *pDX)
virtual BOOL | OnInitDialog ()
afx_msg void | OnSysCommand (UINT nID, LPARAM lParam)
afx_msg void | OnCbnSelchangeCombo1 ()
afx_msg void | OnBnClickedOk ()
afx_msg void | OnBnClickedCancel ()
afx_msg void | OnBnClickedDisconnect ()
LRESULT | OnEventAvailable (WPARAM wparam, LPARAM lparam)
## Protected Attributes
Gui * | m_pParent
tstring | m_hostName

## Detailed Description

MainDialog dialog

## Member Function Documentation

void MainDialog::HandleEventAvailable | ( |  | ) |

This method demonstrates the posting of an event once the API has indicated there is data available (see GUIClientImpl::EventAvailable).

After the posted event fires, the method MainDialog::OnEventAvailable is called.

    {
        ::PostMessage( this->m_hWnd , MF_NEWEVENT, 0, 0);
    }

LRESULT MainDialog::OnEventAvailable | ( | WPARAM | wparam,
|  | LPARAM | lparam
| ) |  | `[protected]`

This method is invoked after the posted event from the method MainDialog::HandleEventAvailable fires.

This method invokes the API method ClientIfc::ProcessEvents which in turn causes all pending events (NoticeCB, UserPromptCB, etc.) to be delivered.

    {
        m_pApiImpl->ProcessEvents();
        return 0;
    }